package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import edu.travel.annotation.LinkConst;
import edu.travel.entity.BaseEntity;
import edu.travel.entity.dict.SexDict;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "edu_tenant")
public class EduTenant extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 姓
     */
    @TableField(value = "tenant_surname")
    private String tenantSurname;

    /**
     * 名
     */
    @TableField(value = "tenant_name")
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    @TableField(value = "tenant_sex")
    private Integer tenantSex;

    /**
     * 头像
     */
    @TableField(value = "tenant_avatar")
    private String tenantAvatar;

    /**
     * 手机号
     */
    @TableField(value = "tenant_phone")
    private String tenantPhone;

    /**
     * 地区区号
     */
    @TableField(value = "tenant_area")
    private String tenantArea;

    /**
     * 生日日期
     */
    @TableField(value = "tenant_birthday")
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    @TableField(value = "tenant_open_id")
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    @TableField(value = "tenant_unionid")
    private String tenantUnionid;


}